OpenNMS API 1.2.9

## org.opennms.netmgt.config.kscReports
Class Graph

    java.lang.Object
      org.opennms.netmgt.config.kscReports.Graph

All Implemented Interfaces:
  java.io.Serializable

public class Graph
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.lang.String` `_extlink`
`private java.lang.String` `_graphtype`
`private java.lang.String` `_interfaceId`
`private java.lang.String` `_nodeId`
`private java.lang.String` `_timespan`
`private java.lang.String` `_title`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`Graph()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`java.lang.String` `getExtlink()` Returns the value of field 'extlink'.
`java.lang.String` `getGraphtype()` Returns the value of field 'graphtype'.
`java.lang.String` `getInterfaceId()` Returns the value of field 'interfaceId'.
`java.lang.String` `getNodeId()` Returns the value of field 'nodeId'.
`java.lang.String` `getTimespan()` Returns the value of field 'timespan'.
`java.lang.String` `getTitle()` Returns the value of field 'title'.
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setExtlink(java.lang.String extlink)` Sets the value of field 'extlink'.
`void` `setGraphtype(java.lang.String graphtype)` Sets the value of field 'graphtype'.
`void` `setInterfaceId(java.lang.String interfaceId)` Sets the value of field 'interfaceId'.
`void` `setNodeId(java.lang.String nodeId)` Sets the value of field 'nodeId'.
`void` `setTimespan(java.lang.String timespan)` Sets the value of field 'timespan'.
`void` `setTitle(java.lang.String title)` Sets the value of field 'title'.
`static Graph` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _title

    private java.lang.String _title

### _nodeId

    private java.lang.String _nodeId

### _interfaceId

    private java.lang.String _interfaceId

### _timespan

    private java.lang.String _timespan

### _graphtype

    private java.lang.String _graphtype

### _extlink

    private java.lang.String _extlink

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### Graph

    public Graph()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getExtlink

    public java.lang.String getExtlink()

  Returns the value of field 'extlink'.

  Returns:
    the value of field 'extlink'.

### getGraphtype

    public java.lang.String getGraphtype()

  Returns the value of field 'graphtype'.

  Returns:
    the value of field 'graphtype'.

### getInterfaceId

    public java.lang.String getInterfaceId()

  Returns the value of field 'interfaceId'.

  Returns:
    the value of field 'interfaceId'.

### getNodeId

    public java.lang.String getNodeId()

  Returns the value of field 'nodeId'.

  Returns:
    the value of field 'nodeId'.

### getTimespan

    public java.lang.String getTimespan()

  Returns the value of field 'timespan'.

  Returns:
    the value of field 'timespan'.

### getTitle

    public java.lang.String getTitle()

  Returns the value of field 'title'.

  Returns:
    the value of field 'title'.

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setExtlink

    public void setExtlink(java.lang.String extlink)

  Sets the value of field 'extlink'.

  Parameters:
    `extlink` - the value of field 'extlink'.

### setGraphtype

    public void setGraphtype(java.lang.String graphtype)

  Sets the value of field 'graphtype'.

  Parameters:
    `graphtype` - the value of field 'graphtype'.

### setInterfaceId

    public void setInterfaceId(java.lang.String interfaceId)

  Sets the value of field 'interfaceId'.

  Parameters:
    `interfaceId` - the value of field 'interfaceId'.

### setNodeId

    public void setNodeId(java.lang.String nodeId)

  Sets the value of field 'nodeId'.

  Parameters:
    `nodeId` - the value of field 'nodeId'.

### setTimespan

    public void setTimespan(java.lang.String timespan)

  Sets the value of field 'timespan'.

  Parameters:
    `timespan` - the value of field 'timespan'.

### setTitle

    public void setTitle(java.lang.String title)

  Sets the value of field 'title'.

  Parameters:
    `title` - the value of field 'title'.

### unmarshal

    public static Graph unmarshal(java.io.Reader reader)
                           throws org.exolab.castor.xml.MarshalException,
                                  org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.